emm~解决了Tensorflow不支持AVX2指令集的问题

之前在使用tensorflow跑程序时经常报警告:Your CPU supports instructions that this TensorFlow binary was not compiled to use: AVX AVX2

网上很大部分资料对于这一块采取的措施都是屏蔽掉,所谓眼不见心不烦,但这样只能是自欺欺人啊,治标不治本,于是探究了一下,还算是比较成功解决了这个问题,现记录一下:

1. 首先在Anaconda中创建虚拟环境,命名为cpu_avx2,python版本指定为3.7,这样避免出错崩溃影响到其他程序操作:

emm~解决了Tensorflow不支持AVX2指令集的问题

 

2. 在这里下载对应版本的tensorflow:https://github.com/fo40225/tensorflow-windows-wheel,比如我需要的是CPU+AVX2+Python3.7,那么我就选择第二个:

emm~解决了Tensorflow不支持AVX2指令集的问题

 

按照路径提示,在上边找到对应的.whl文件,对应本次安装的路径为:

emm~解决了Tensorflow不支持AVX2指令集的问题

 

3. 将该文件下载下来,放到相应的目录下(为了方便建议放到命令窗口对应的目录下,这样就不用再切换目录了,反正只要能找到该文件就行):

emm~解决了Tensorflow不支持AVX2指令集的问题

 

然后打开Anaconda Prompt,进入刚才创建的虚拟空间cpu_avx2,安装即可:

emm~解决了Tensorflow不支持AVX2指令集的问题

 

完成后可以使用conda list看一下安装的包:

emm~解决了Tensorflow不支持AVX2指令集的问题

 

这里需要注意的是,在pycharm中要选择好解析器,否则会遇到很多问题:

emm~解决了Tensorflow不支持AVX2指令集的问题

 

选择好之后会看到如下界面:

emm~解决了Tensorflow不支持AVX2指令集的问题

发布了239 篇原创文章 · 获赞 189 · 访问量 3万+
展开阅读全文

没有更多推荐了,返回首页

©️2019 CSDN 皮肤主题: 大白 设计师: CSDN官方博客

分享到微信朋友圈

×

扫一扫,手机浏览